# $Id: smeserver-usbdisksmanager.spec,v 1.4 2021/08/25 00:56:11 terryfage Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-usbdisksmanager
%define name smeserver-usbdisksmanager

# Variable representing installation directories:
%define installdir_usbdisksmanager /etc/e-smith/web/functions
%define installdir_usbdisks_sh /usr/sbin

Name: %{name}
%define version 1.2
%define release 11
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
Group: SMEserver/addon
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools >= 1.13.1-03
BuildArchitectures: noarch
Requires: smeserver-release >= 8.0
AutoReqProv: no

%changelog
* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.2-11.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Wed Aug 25 2021 Terry Fage <terryf@ozemail.com.au> 1.2-10.sme
- apply locale 2016-03-09 patch

* Sat Mar 27 2021 Brian Read <brianr@bjsystems.co.uk> 1.2-9.sme
- Add Update event to createlinks [SME: 11076]

* Sat Mar 27 2021 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Oct 29 2020 Brian Read <brianr@bjsystems.co.uk> 1.2-8.sme
- Initial import into SME10 tree [SME: 11076]
- Add link to wrapper in createlinks

* Sun Jan 13 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.2-7.sme
- tidy mount options to remove managed and pamconsole options [SME: 10294]

* Sat Mar 25 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.2-5.sme
- Add Update event to createlinks mount does not work [SME: 8597]
- new default for mounting options

* Fri Mar 24 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.2-4.sme
- Add Update event to createlinks multiple issues for SME9 [SME: 8597]

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 1.2-3.sme
- apply locale 2016-03-09 patch

* Fri Sep 25 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2-2.sme
- Initial release to contribs9

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 1.0-3.sme
- apply locale 2013-07-14 patch
* Tue Jun 26 2012 JP PIALASSE tests@pialasse.com 1.0-2.sme
- manager interface display fix [SME 6989]
- blkid cache removed for manager listing [SME 6990]
- Apply local 2012-06-26
* Sat Jun 16 2012 JP PIALASSE tests@pialasse.com  1.0-1.sme
- Initial version

%description
Web interface to manage removable hard drive, and auto mount to a point script

%prep
%setup

%build
perl createlinks

%install

/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(750,root,root)
%{installdir_usbdisks_sh}/usbdisks.sh
%defattr(4750,root,admin)
%{installdir_usbdisksmanager}/usbdisks

%clean
rm -rf $RPM_BUILD_ROOT

